org.apache.maven.cli

## Class CLIManager

- java.lang.Object
- - org.apache.maven.cli.CLIManager

    public class CLIManager
    extends java.lang.Object

### Field Summary

Fields
`static char` `ACTIVATE_PROFILES`
`static java.lang.String` `ALSO_MAKE`
`static java.lang.String` `ALSO_MAKE_DEPENDENTS`
`static java.lang.String` `ALTERNATE_GLOBAL_SETTINGS`
`static char` `ALTERNATE_POM_FILE`
`static char` `ALTERNATE_USER_SETTINGS`
`static char` `BATCH_MODE`
`static char` `CHECKSUM_FAILURE_POLICY`
`static char` `CHECKSUM_WARNING_POLICY`
`static char` `DEBUG`
`static java.lang.String` `ENCRYPT_MASTER_PASSWORD`
`static java.lang.String` `ENCRYPT_PASSWORD`
`static char` `ERRORS`
`static java.lang.String` `FAIL_AT_END`
`static java.lang.String` `FAIL_FAST`
`static java.lang.String` `FAIL_NEVER`
`static java.lang.String` `FORCE_PLUGIN_UPDATES`
`static java.lang.String` `FORCE_PLUGIN_UPDATES2`
`static char` `HELP`
`static char` `NON_RECURSIVE`
`static char` `OFFLINE`
`static java.lang.String` `PROJECT_LIST`
`static char` `QUIET`
`static char` `REACTOR`
`static java.lang.String` `RESUME_FROM`
`static char` `SET_SYSTEM_PROPERTY`
`static char` `SHOW_VERSION`
`static java.lang.String` `SUPPRESS_PLUGIN_REGISTRY`
`static java.lang.String` `SUPPRESS_PLUGIN_UPDATES`
`static char` `UPDATE_SNAPSHOTS`
`static char` `VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CLIManager()`

### Method Summary

Methods
`void` `displayHelp()`
`CommandLine` `parse(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALTERNATE_POM_FILE

    public static final char ALTERNATE_POM_FILE

See Also:
  Constant Field Values

#### BATCH_MODE

    public static final char BATCH_MODE

See Also:
  Constant Field Values

#### SET_SYSTEM_PROPERTY

    public static final char SET_SYSTEM_PROPERTY

See Also:
  Constant Field Values

#### OFFLINE

    public static final char OFFLINE

See Also:
  Constant Field Values

#### REACTOR

    public static final char REACTOR

See Also:
  Constant Field Values

#### QUIET

    public static final char QUIET

See Also:
  Constant Field Values

#### DEBUG

    public static final char DEBUG

See Also:
  Constant Field Values

#### ERRORS

    public static final char ERRORS

See Also:
  Constant Field Values

#### HELP

    public static final char HELP

See Also:
  Constant Field Values

#### VERSION

    public static final char VERSION

See Also:
  Constant Field Values

#### SHOW_VERSION

    public static final char SHOW_VERSION

See Also:
  Constant Field Values

#### NON_RECURSIVE

    public static final char NON_RECURSIVE

See Also:
  Constant Field Values

#### UPDATE_SNAPSHOTS

    public static final char UPDATE_SNAPSHOTS

See Also:
  Constant Field Values

#### ACTIVATE_PROFILES

    public static final char ACTIVATE_PROFILES

See Also:
  Constant Field Values

#### FORCE_PLUGIN_UPDATES

    public static final java.lang.String FORCE_PLUGIN_UPDATES

See Also:
  Constant Field Values

#### FORCE_PLUGIN_UPDATES2

    public static final java.lang.String FORCE_PLUGIN_UPDATES2

See Also:
  Constant Field Values

#### SUPPRESS_PLUGIN_UPDATES

    public static final java.lang.String SUPPRESS_PLUGIN_UPDATES

See Also:
  Constant Field Values

#### SUPPRESS_PLUGIN_REGISTRY

    public static final java.lang.String SUPPRESS_PLUGIN_REGISTRY

See Also:
  Constant Field Values

#### CHECKSUM_FAILURE_POLICY

    public static final char CHECKSUM_FAILURE_POLICY

See Also:
  Constant Field Values

#### CHECKSUM_WARNING_POLICY

    public static final char CHECKSUM_WARNING_POLICY

See Also:
  Constant Field Values

#### ALTERNATE_USER_SETTINGS

    public static final char ALTERNATE_USER_SETTINGS

See Also:
  Constant Field Values

#### ALTERNATE_GLOBAL_SETTINGS

    public static final java.lang.String ALTERNATE_GLOBAL_SETTINGS

See Also:
  Constant Field Values

#### FAIL_FAST

    public static final java.lang.String FAIL_FAST

See Also:
  Constant Field Values

#### FAIL_AT_END

    public static final java.lang.String FAIL_AT_END

See Also:
  Constant Field Values

#### FAIL_NEVER

    public static final java.lang.String FAIL_NEVER

See Also:
  Constant Field Values

#### RESUME_FROM

    public static final java.lang.String RESUME_FROM

See Also:
  Constant Field Values

#### PROJECT_LIST

    public static final java.lang.String PROJECT_LIST

See Also:
  Constant Field Values

#### ALSO_MAKE

    public static final java.lang.String ALSO_MAKE

See Also:
  Constant Field Values

#### ALSO_MAKE_DEPENDENTS

    public static final java.lang.String ALSO_MAKE_DEPENDENTS

See Also:
  Constant Field Values

#### ENCRYPT_MASTER_PASSWORD

    public static final java.lang.String ENCRYPT_MASTER_PASSWORD

See Also:
  Constant Field Values

#### ENCRYPT_PASSWORD

    public static final java.lang.String ENCRYPT_PASSWORD

See Also:
  Constant Field Values

### Constructor Detail

#### CLIManager

    public CLIManager()

### Method Detail

#### parse

    public CommandLine parse(java.lang.String[] args)
                      throws ParseException

Throws:
  `ParseException`

#### displayHelp

    public void displayHelp()